Bug 770113 - Running sandboxes keeps adding new mount entries
Summary: Running sandboxes keeps adding new mount entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-23 11:51 UTC by Amit Shah
Modified: 2011-12-31 20:26 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.1.4-13.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-31 20:26:29 UTC


Attachments (Terms of Use)

Description Amit Shah 2011-12-23 11:51:09 UTC
Description of problem:

On a fresh F16 install, my mount points keep increasing as I run sandbox instances.  The command I use to launch sandbox is:

sandbox -X -W metacity -t sandbox_web_t -H ~/.sandbox_ff_home

After a few invocations, running any new sandboxes becomes impractical; 'seunshare', 'systemd' start taking up almost 100% cpu.


$ df -h | wc -l
31
$ ff-sandbox 
$ df -h | wc -l
55
$ df -h
Filesystem                   Size  Used Avail Use% Mounted on
rootfs                       139G   94G   38G  72% /
devtmpfs                     3.9G     0  3.9G   0% /dev
tmpfs                        3.9G  3.4M  3.9G   1% /dev/shm
tmpfs                        3.9G   51M  3.8G   2% /run
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /
tmpfs                        3.9G   51M  3.8G   2% /run
tmpfs                        3.9G     0  3.9G   0% /sys/fs/cgroup
tmpfs                        3.9G     0  3.9G   0% /media
/dev/sda1                    485M   37M  423M   8% /boot
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /home/amit
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp
/dev/mapper/vg_amit-lv_root  139G   94G   38G  72% /var/tmp

Comment 1 Fedora Update System 2011-12-29 18:10:12 UTC
policycoreutils-2.1.4-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-17417/policycoreutils-2.1.4-13.fc16

Comment 2 Fedora Update System 2011-12-31 20:26:29 UTC
policycoreutils-2.1.4-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.